"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/plugin.ts
var _head = require('@vueuse/head');
var PLUGIN_NAME = "vue:useHead";
function useHeadPlugin() {
  let head;
  return {
    name: PLUGIN_NAME,
    created() {
      this.eventBus.on("plugin/vueApp/appCreated", (event) => {
        head = _head.createHead.call(void 0, );
        event.app.use(head);
      });
    },
    async transformHtml(html) {
      if (!head) {
        return html;
      }
      const {headTags, htmlAttrs, bodyAttrs} = _head.renderHeadToString.call(void 0, head);
      return html.replace(`<!--head-tags-->`, headTags).replace(`<html>`, `<html${htmlAttrs}>`).replace(`<body>`, `<body${bodyAttrs}>`);
    }
  };
}


exports.useHeadPlugin = useHeadPlugin;
//# sourceMappingURL=index.js.map
