// src/plugin.ts
import {renderHeadToString, createHead} from "@vueuse/head";
var PLUGIN_NAME = "vue:useHead";
function useHeadPlugin() {
  let head;
  return {
    name: PLUGIN_NAME,
    created() {
      this.eventBus.on("plugin/vueApp/appCreated", (event) => {
        head = createHead();
        event.app.use(head);
      });
    },
    async transformHtml(html) {
      if (!head) {
        return html;
      }
      const {headTags, htmlAttrs, bodyAttrs} = renderHeadToString(head);
      return html.replace(`<!--head-tags-->`, headTags).replace(`<html>`, `<html${htmlAttrs}>`).replace(`<body>`, `<body${bodyAttrs}>`);
    }
  };
}
export {
  useHeadPlugin
};
//# sourceMappingURL=index.mjs.map
